Skip to content
Dashboard

Delete a company

client.users.companies.delete(stringid, CompanyDeleteParams { featurebaseVersion } params?, RequestOptionsoptions?): DeletedCompany { id, deleted, object }
DELETE/v2/companies/{id}

Deletes a company by its Featurebase ID.

This will also remove the company from all linked users’ associations.

Path Parameters

  • id - The Featurebase internal ID of the company (MongoDB ObjectId)

Response

Returns a deletion confirmation object:

{
  "id": "507f1f77bcf86cd799439011",
  "object": "company",
  "deleted": true
}

Error Responses

  • 404 Not Found - Company with the specified ID does not exist

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

ParametersExpand Collapse
id: string

The Featurebase internal ID of the company (MongoDB ObjectId)

params: CompanyDeleteParams { featurebaseVersion }
featurebaseVersion?: "2026-01-01.nova" | "2025-12-12.clover"

API version for this request. Defaults to your organization’s configured API version if not specified.

One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
DeletedCompany { id, deleted, object }
id: string

Unique identifier of the deleted company

deleted: true

Indicates the resource was deleted

object: "company"

Object type identifier

Delete a company

import Featurebase from 'featurebase-node';

const client = new Featurebase({
  apiKey: process.env['FEATUREBASE_API_KEY'], // This is the default and can be omitted
});

const deletedCompany = await client.users.companies.delete('507f1f77bcf86cd799439011');

console.log(deletedCompany.id);
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "company"
}
Returns Examples
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "company"
}